PipeWire: link.c File Reference

PipeWire 0.1.9

Macros | Functions
link.c File Reference
Include dependency graph for link.c:

## Macros
#define | MAX_BUFFERS 16

## Functions
int | pw_link_activate (struct pw_link *this)
int | pw_link_deactivate (struct pw_link *this)
struct pw_link * | pw_link_new (struct pw_core *core, struct pw_port *output, struct pw_port *input, struct spa_pod *format_filter, struct pw_properties *properties, char **error, size_t user_data_size)
int | pw_link_register (struct pw_link *link, struct pw_client *owner, struct pw_global *parent, struct pw_properties *properties)
| Finish link configuration and register. More...
void | pw_link_destroy (struct pw_link *link)
void | pw_link_add_listener (struct pw_link *link, struct spa_hook *listener, const struct pw_link_events *events, void *data)
| Add an event listener to link. More...
struct pw_link * | pw_link_find (struct pw_port *output_port, struct pw_port *input_port)
struct pw_core * | pw_link_get_core (struct pw_link *link)
| Get the core of a link. More...
void * | pw_link_get_user_data (struct pw_link *link)
| Get the user_data of a link, the size of the memory is given when constructing the link. More...
const struct pw_link_info * | pw_link_get_info (struct pw_link *link)
| Get the link info. More...
struct pw_global * | pw_link_get_global (struct pw_link *link)
| Get the global of the link. More...
struct pw_port * | pw_link_get_output (struct pw_link *link)
| Get the output port of the link. More...
struct pw_port * | pw_link_get_input (struct pw_link *link)
| Get the input port of the link. More...

## Macro Definition Documentation

## ◆ MAX_BUFFERS

#define MAX_BUFFERS 16

## Function Documentation

## ◆ pw_link_activate()

int pw_link_activate | ( | struct pw_link * | this | ) |

References pw_log::pw_log_debug(), and pw_work_queue::pw_work_queue_add().

## ◆ pw_link_add_listener()

void pw_link_add_listener | ( | struct pw_link * | link,
|  | struct spa_hook * | listener,
|  | const struct pw_link_events * | events,
|  | void * | data
| ) |  |

Add an event listener to link.

References pw_log::pw_log_debug().

## ◆ pw_link_deactivate()

int pw_link_deactivate | ( | struct pw_link * | this | ) |

References pw_log::pw_log_debug(), and pw_loop_invoke.

Referenced by pw_link_destroy().

## ◆ pw_link_destroy()

void pw_link_destroy | ( | struct pw_link * | link | ) |

References pw_link_deactivate(), and pw_log::pw_log_debug().

## ◆ pw_link_find()

struct pw_link* pw_link_find | ( | struct pw_port * | output_port,
|  | struct pw_port * | input_port
| ) |  |

## ◆ pw_link_get_core()

struct pw_core* pw_link_get_core | ( | struct pw_link * | link | ) |

Get the core of a link.

## ◆ pw_link_get_global()

struct pw_global* pw_link_get_global | ( | struct pw_link * | link | ) |

Get the global of the link.

## ◆ pw_link_get_info()

const struct pw_link_info* pw_link_get_info | ( | struct pw_link * | link | ) |

Get the link info.

## ◆ pw_link_get_input()

struct pw_port* pw_link_get_input | ( | struct pw_link * | link | ) |

Get the input port of the link.

## ◆ pw_link_get_output()

struct pw_port* pw_link_get_output | ( | struct pw_link * | link | ) |

Get the output port of the link.

## ◆ pw_link_get_user_data()

void* pw_link_get_user_data | ( | struct pw_link * | link | ) |

Get the user_data of a link, the size of the memory is given when constructing the link.

## ◆ pw_link_new()

struct pw_link* pw_link_new | ( | struct pw_core * | core,
|  | struct pw_port * | output,
|  | struct pw_port * | input,
|  | struct spa_pod * | format_filter,
|  | struct pw_properties * | properties,
|  | char ** | error,
|  | size_t | user_data_size
| ) |  |

References pw_link::pw_link_find(), PW_LINK_PROP_PASSIVE, PW_LINK_STATE_INIT, pw_log::pw_log_debug(), pw_properties::pw_properties_get(), pw_work_queue::pw_work_queue_new(), and impl::this.

## ◆ pw_link_register()

int pw_link_register | ( | struct pw_link * | link,
|  | struct pw_client * | owner,
|  | struct pw_global * | parent,
|  | struct pw_properties * | properties
| ) |  |

Finish link configuration and register.

Parameters

  link | the link to register
  owner | optional link owner
  parent | parent global
  properties | extra properties

References pw_global_add_listener(), pw_global::pw_global_new(), pw_properties::pw_properties_new(), pw_properties::pw_properties_setf(), and PW_VERSION_LINK.